Subject: Unknown annotation '-cim' in source code

From: Steve Lau <[email-masked]>
Date: Thu, 4 Jul 2024 03:46:09 +0000

Hi, Postgres hackers!

While reading the source code, I noticed comments like "-cim 9/10/89". I think this might be an annotation by a developer to indicate the commit time, but from the commit history (using git), they does not seem to match.

Specifically:

  1.  What does “cim” mean here?
  2.  Are these annotations still used in modern code practices within the PostgreSQL project, or have they been replaced by version control commit histories? I guess they are not used anymore as there are only 11 annotations in the source code.

I appreciate any information or historical context you can provide regarding these annotations.

Thank you!

Best regards, Steve Lau.